﻿using Syncfusion.DataSource;
using Syncfusion.ListView.XForms;
using Syncfusion.XForms.Buttons;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public partial class MainPage : ContentPage
    {
        #region Fields

        private bool isRadionButtonChecked;

        #endregion

        #region Constructor

        public MainPage()
        {
            InitializeComponent();
        }
        #endregion

        #region Events

        private void ListView_SelectionChanging(object sender, ItemSelectionChangingEventArgs e)
        {
            e.Cancel = isRadionButtonChecked;
            isRadionButtonChecked = false;
        }

        private void SfRadioButton_StateChanged(object sender, Syncfusion.XForms.Buttons.StateChangedEventArgs e)
        {
            var toggle = sender as SfRadioButton;
            var contact = toggle.BindingContext as Contacts;

            if (contact.IsChecked && !ViewModel.CheckedItems.Contains(contact))
                ViewModel.CheckedItems.Add(contact);
            else if (!contact.IsChecked)
                ViewModel.CheckedItems.Remove(contact);

            isRadionButtonChecked = true;
        }

        #endregion

    }
}
